fr.cnam.ihm

## Class Position

- java.lang.Object
- - fr.cnam.ihm.Position

-     public class Position
      extends java.lang.Object

  Classe de définition d'un position 3D (x,y,z)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `x` coordonnée X
    `int` | `y` coordonnée Y
    `int` | `z` coordonnée Z

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Position()` Création d'un polygone vide
    `Position(int x, int y, int z)` Création d'un polygone.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Position` | `clone()` clone d'une Position
    `void` | `ecrire(java.io.PrintStream ps)` Ecrire dans un flot de texte le polygone
    `boolean` | `equals(Position p)` Teste si deux positions ont égales
    `void` | `lire(java.io.BufferedReader br)` Lire dans un flot de texte le polygone
    `java.lang.String` | `toString()` Position en chaine

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### x

          public int x

      coordonnée X

    - #### y

          public int y

      coordonnée Y

    - #### z

          public int z

      coordonnée Z

  - ### Constructor Detail

    - #### Position

          public Position()

      Création d'un polygone vide

    - #### Position

          public Position(int x,
                          int y,
                          int z)

      Création d'un polygone.
      Parameters:
        `x` - coordonnée en X
        `y` - coordonnée en Y
        `z` - coordonnée en Z

  - ### Method Detail

    - #### clone

          public Position clone()

      clone d'une Position
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        retourne le clone de l'objet

    - #### equals

          public boolean equals(Position p)

      Teste si deux positions ont égales
      Parameters:
        `p` - positionà tester
      Returns:
        vrai si égal sinon faux

    - #### ecrire

          public void ecrire(java.io.PrintStream ps)
                      throws java.lang.Exception

      Ecrire dans un flot de texte le polygone
      Parameters:
        `ps` - flot d'écriture texte
      Throws:
        `java.lang.Exception` - si erreur d'écriture

    - #### lire

          public void lire(java.io.BufferedReader br)
                    throws java.lang.Exception

      Lire dans un flot de texte le polygone
      Parameters:
        `br` - flot de lecture texte
      Throws:
        `java.lang.Exception` - si erreur de lecture

    - #### toString

          public java.lang.String toString()

      Position en chaine
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        chaine